import { INIT_PAYMENTS_PURCHASES_CURRENCIES } from '@/constants/actionTypes'
import { SET_CURRENCIES,  SET_LOADING_CURRENCIES }from '@/constants/mutationTypes'

const initialState = {
    currency: [],
    loadingCurrency: false
}

const state = {
    currency: initialState.currency,
    loadingCurrency: initialState.loadingCurrency
}

const getters = {
    /**
     * [currency description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    currency ( state ) {
        return state.currency
    },
    /**
     * [loadingCurrency description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingCurrency ( state ) {
        return state.loadingCurrency
    }
}

const mutations = {
    [SET_CURRENCIES] ( state, paylod ){
        state.currency = paylod
    },
    [SET_LOADING_CURRENCIES] ( state, paylod ) {
        state.loadingCurrency = !!paylod
    }
}

const actions = {
    [INIT_PAYMENTS_PURCHASES_CURRENCIES] ({ commit }, paylod) {
        commit(SET_CURRENCIES, paylod)
        commit(SET_LOADING_CURRENCIES, paylod)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
