import { INIT_PAYMENTS_PURCHASES_SUPPLIER } from '@/constants/actionTypes'
import { SET_SUPPLIER, SET_LOADING_SUPPLIER }from '@/constants/mutationTypes'

const initialState = {
    supplier: [],
    loadingSupplier: false
}

const state = {
    supplier: initialState.supplier,
    loadingSupplier: initialState.loadingSupplier
}

const getters = {
    /**
     * [supplier description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    supplier ( state ) {
        return state.supplier
    },
    /**
     * [loadingSupplier description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingSupplier ( state ) {
        return state.loadingSupplier
    }
}

const mutations = {
    /**
     * [supplier description]
     * @type {[type]}
     */
    [SET_SUPPLIER] (state, paylod) {
        state.supplier = paylod
    },
    /**
     * [loadingSupplier description]
     * @type {[type]}
     */
    [SET_LOADING_SUPPLIER] (state, paylod) {
        state.loadingSupplier = paylod
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_PURCHASES_SUPPLIER]
     */
    [INIT_PAYMENTS_PURCHASES_SUPPLIER] ({ commit },paylod) {
        commit(SET_SUPPLIER, paylod)
        commit(SET_LOADING_SUPPLIER, paylod)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
